package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;

import java.util.Map;

public interface MWFH06Response {

    @Parameter(name = "BankaPrijemceJmenoBanky")
    String bankaPrijemceJmenoBanky();

    @Parameter(name = "BankaPrijemceMesto")
    String bankaPrijemceMesto();

    @Parameter(name = "BankaPrijemceStat")
    String bankaPrijemceStat();

    @Parameter(name = "BankaPrijemceUlice")
    String bankaPrijemceUlice();

    @Parameter(name = "CasPorizeni")
    java.util.Date casPorizeni();

    @Parameter(name = "CastkaPlatby")
    Double castkaPlatby();

    @Parameter(name = "CastkaVMeneUctu")
    Double castkaVMeneUctu();

    @Parameter(name = "CisloUctu")
    String cisloUctu();

    @Parameter(name = "DatumPorizeni")
    java.util.Date datumPorizeni();

    @Parameter(name = "DatumUcinnosti")
    java.util.Date datumUcinnosti();

    @Parameter(name = "IDBanky")
    String iDBanky();

    @Parameter(name = "InfoProPrijemce1")
    String infoProPrijemce1();

    @Parameter(name = "InfoProPrijemce2")
    String infoProPrijemce2();

    @Parameter(name = "InfoProPrijemce3")
    String infoProPrijemce3();

    @Parameter(name = "InfoProPrijemce4")
    String infoProPrijemce4();

    @Parameter(name = "KodPartnera")
    String kodPartnera();

    @Parameter(name = "KodZeme")
    String kodZeme();

    @Parameter(name = "Konfirmace1")
    String konfirmace1();

    @Parameter(name = "Konfirmace2")
    String konfirmace2();

    @Parameter(name = "MenaPlatby")
    String menaPlatby();

    @Parameter(name = "MenaUctu")
    String menaUctu();

    @Parameter(name = "OM")
    String om();

    @Parameter(name = "PlatebniTitulKod")
    String platebniTitulKod();

    @Parameter(name = "PrijemceCisloUctu")
    String prijemceCisloUctu();

    @Parameter(name = "PrijemceJmeno")
    String prijemceJmeno();

    @Parameter(name = "PrijemceStat")
    String prijemceStat();

    @Parameter(name = "PrijemceUliceMesto")
    String prijemceUliceMesto();

    @Parameter(name = "PriznakKurzu")
    String priznakKurzu();

    @Parameter(name = "ProfilLikvidatora")
    String profilLikvidatora();

    @Parameter(name = "Residence")
    String residence();

    @Parameter(name = "SmennyKurs")
    Double smennyKurs();

    @Parameter(name = "StavTransakce")
    String stavTransakce();

    @Parameter(name = "VylohyZpusobUhrady")
    String vylohyZpusobUhrady();

    @Parameter(name = "ZkraceneJmeno")
    String zkraceneJmeno();

}